Package org.apache.struts2.validator.annotations

# Enum Class ValidatorType

java.lang.Object
java.lang.Enum<ValidatorType>
org.apache.struts2.validator.annotations.ValidatorType

All Implemented Interfaces:
  `Serializable`, `Comparable<ValidatorType>`, `Constable`

public enum ValidatorType extends Enum<ValidatorType>
`ValidatorType`

Version:
  $Id$
Author:
  Rainer Hermanns

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIELD`
  `SIMPLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static ValidatorType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ValidatorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIELD

    public static final ValidatorType FIELD

  - ### SIMPLE

    public static final ValidatorType SIMPLE

- ## Method Details

  - ### values

    public static ValidatorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ValidatorType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ValidatorType>`